Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.management.JMRuntimeException
                      javax.management.RuntimeErrorException

All Implemented Interfaces:
  java.io.Serializable

public class RuntimeErrorException
extends JMRuntimeException

When a `java.lang.Error` occurs in the agent it should be caught and re-thrown as a `RuntimeErrorException`.

See Also:
  Serialized Form

Constructor Summary
`RuntimeErrorException(java.lang.Error e)` Default constructor.
`RuntimeErrorException(java.lang.Error e, java.lang.String message)` Constructor that allows a specific error message to be specified.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the actual `Error` thrown.
`java.lang.Error` | `getTargetError()` Returns the actual `Error` thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeErrorException

    public RuntimeErrorException(java.lang.Error e)

  Default constructor.

Parameters:
  `e` - the wrapped error.

### RuntimeErrorException

    public RuntimeErrorException(java.lang.Error e,
                                 java.lang.String message)

  Constructor that allows a specific error message to be specified.

Parameters:
  `e` - the wrapped error.
  `message` - the detail message.

Method Detail

### getTargetError

    public java.lang.Error getTargetError()

  Returns the actual `Error` thrown.

  Returns:
    the wrapped `Error`.

### getCause

    public java.lang.Throwable getCause()

  Returns the actual `Error` thrown.

  Returns:
    the wrapped `Error`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.